# from typing import Optional
# from pydantic import BaseModel

# class QueryRequest(BaseModel):
#     question: str
#     session_id: Optional[str] = None
#
# class SQLResponse(BaseModel):
#     success: bool
#     sql:  Optional[str] = None
#     error:  Optional[str] = None
#     session_id: str  # 新增会话ID字段

from typing import Optional, List, Dict
from pydantic import BaseModel

class QueryRequest(BaseModel):
    question: str
    session_id: Optional[str] = None
    userId: str

class SQLResponse(BaseModel):
    result_list: List[Dict] = None  # 添加此行以支持结果列表

class TableRequest(BaseModel):
    table: str