# from sql_generator.parser import IntentParser
from fastapi import FastAPI
from api.endpoints import router as api_router
from fastapi.middleware.cors import CORSMiddleware
app = FastAPI(
    title="自然语言转SQL API",
    description="将航空领域的自然语言查询转换为SQL语句",
    version="1.0.0"
)

# 配置CORS
app.add_middleware(
    CORSMiddleware,
    allow_origins=["*"],
    allow_methods=["*"],
    allow_headers=["*"],
)

# 注册路由
app.include_router(api_router, prefix="/api/v1")


if __name__ == "__main__":
    import uvicorn
    uvicorn.run(app, host="0.0.0.0", port=8000)
# def main():
#     parser = IntentParser("config/intent_config.json")
#
#     test_questions = [
#         "所有飞机的履历本",
#         "所有飞机的飞机详情",
#         "所有飞机详情",
#         "05号飞机详情",
#         "我想看看05号飞机状态",
#         "再看看看06号",
#         "我想看看所有飞机详情",
#         "我想看看01号飞机详情",
#         "我想看看02号飞机的高度",
#         "目前系统有多少架次的数据",
#         "目前系统有多少数量的架次数据",
#         "打开9号飞机第二个架次数据",
#         "查看发动机履历本温度等于100的数据",
#         "查看08号飞机的发动机履历本温度为100的数据",
#         "显示08号飞机的发动机的温度",
#     ]
#
#     for q in test_questions:
#         sql = parser.parse(q)
#         print(f"问题：{q}")
#         print(f"生成SQL：{sql}\n")
#
#
# if __name__ == "__main__":
#     main()